<?php 
  
  //Create a document instance 
  $document = new DOMDocument();
  
  //Formats output with indentation
  $document->formatOutput = true;
  
  //Create a comment
  $comment = $document->createComment('Beautiful flowers!!!');
  $document->appendChild( $comment ); 

  //Create the <flowers> root element 
  $root = $document->createElement( 'flowers' );
  $document->appendChild( $root );
  
  //Create the <tulips> children of the root
  $tulips = $document->createElement( 'tulips' );
  
  //Create the first children of the <tulips> element,<bulbs>, and setting its attribute
  $bulbs_1 = $document->createElement( 'bulbs' );   
  $bulbs_1->setAttribute('price',' 7.65');
  $bulbs_1->appendChild($document->createTextNode( 'Parrot'));
  $tulips->appendChild( $bulbs_1 );
  
  //Create the second children of the <tulips> element,<bulbs>, and setting its attribute
  $bulbs_2 = $document->createElement( 'bulbs' );    
  $bulbs_2->setAttribute('color','magenta');
  $bulbs_2->appendChild($document->createTextNode( 'Lily flowering' ));
  $tulips->appendChild( $bulbs_2 );
  
  //Append to the root the <tulips> children 
  $root->appendChild( $tulips );
  
  //Creating a CDATA section
  $cdata = $document->createCDATASection('<gladiolus>
   		 <species>Sword Lilly</species>
    	 <species>Starface</species>
  	</gladiolus>
  	');
  $document->appendChild( $cdata ); 
  
  //Save the object tree into the Flowers.xml XML document 
  echo $document->saveXML();
  $document->save('Flowers.xml');
?>


